CREATE TABLE atc_pricetag_rules (
    RULE_ID                  NUMBER(18, 0) ,
    RULE_PUID                VARCHAR2(120) ,
    PRICETAG_ID              NUMBER(18, 0) ,
    PRODUCT_TYPE_CODE        VARCHAR2(120) ,
    RULE_VALUE_TYPE_CODE     VARCHAR2(120) ,
    RULE_VALUE               VARCHAR2(4000),
    UOM_VALUE                VARCHAR2(120) ,
    BALANCE_ELEM_CODE        VARCHAR2(800) ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    RULE_ID                  NUMBER(18, 0) ,
    RULE_PUID                VARCHAR2(120) ,
    PRICETAG_ID              NUMBER(18, 0) ,
    PRODUCT_TYPE_CODE        VARCHAR2(120) ,
    RULE_VALUE_TYPE_CODE     VARCHAR2(120) ,
    RULE_VALUE               VARCHAR2(4000),
    UOM_VALUE                VARCHAR2(120) ,
    BALANCE_ELEM_CODE        VARCHAR2(800) ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_atc_pricetag_rules PRIMARY KEY (RULE_ID, RULE_ID)
);
